﻿/**
*	@class Mp3Model
*	@extends RemotingModel
*	@author Flying
*	@copyright 2006 riafan
*/

import mx.remoting.*;
import mx.rpc.*;

class com.riafan.Mp3Model extends com.riafan.RemotingModel 
{
	// tracks holder object
	private var tracks:Object;
	
	//////////////////////////////////////////////////////////////////////
	//
   	// 构造函数 (gatewayURL, serviceName, userid, password)
	//
	//////////////////////////////////////////////////////////////////////
	
	public function Mp3Model ($gatewayURL, $serviceName, $uid, $pwd) 
	{
		super($gatewayURL, $serviceName);
		// this.svc.connection.setCredentials($uid, $pwd);
	}
	
	//////////////////////////////////////////////////////////////////////
	//
   	// onGetTracks处理函数
	//
	//////////////////////////////////////////////////////////////////////
	
	public function getTracks()
	{
		trace("// getting tracks")
		// create a pending call out to rails
		var pc:PendingCall = this.svc.getTracks();
		// create a responder to handle the return from rails
		pc.responder = new RelayResponder(this, "onGetTracks", "handleRemotingModelError");
	}
	
	public function onGetTracks (re:ResultEvent)
	{
		if (re!= undefined){
			trace("// onGetTracks broadcaster")
			// put result in recordset
			tracks = re.result;
			// trace for testing
			for (var i = 0; i < tracks.length; i++) {
				trace(tracks.getItemAt(i).title);
			}
			// dispatch event to the view
			dispatch(tracks, "onGetTracks");
		}
	}
}