/**
*	@class RemotingView 
*	@author Flying
*	@copyright 2006 riafan
*/

import mx.events.EventDispatcher;

class com.riafan.RemotingView  
{
	private var target:MovieClip;
	
	public var addEventListener:Function;
	public var removeEventListener:Function;
	public var dispatchEvent:Function;
	public var dispatchQueue:Function;

	/**
   	* Constructor
	*
	* 	@param	mc	target (target timeline: _root || a mc)
	*/
	public function RemotingView ($target:MovieClip) 
	{
		target = $target;
		
		// initialize as a broadcaster
		EventDispatcher.initialize(this);
	}
	
	/**
   	* Event dispatcher
	* 
	* 	@param		$data		data
	* 	@param		$type		event type
	*
	*/
	private function dispatch($data, $type)
	{
		// broadcast message
  		var eventObj:Object={target:this,type:$type}
		eventObj.data = $data;
  		dispatchEvent(eventObj);
	}
}