﻿/**
*	@class ToolTip
*	Flash工具提示条
*	@author Flying
*	@copyright 2006 riafan
*/
class com.riafan.ToolTip {
	public var _tipText:String;
	public var _textColor:Number = 0x000000;
	public var _borderColor:Number = 0x000000;
	public var _bgColor:Number = 0xFFFFE1;
	private var tipMovie:MovieClip;
	public function ToolTip(tipMovie:MovieClip, tipText:String) {
		this.tipMovie = tipMovie;
		this._tipText = tipText;
		this.showTip();
	}
	private function showTip() {
		var path = this;
		tipMovie.onRollOver = function() {
			var mc = this._parent.createEmptyMovieClip("toolTip_mc", _root.getNextHighestDepth());
			mc.createTextField("toolTip_txt", _root.getNextHighestDepth(), _root._xmouse, _root._ymouse-15, 200, 20);
			with (mc.toolTip_txt) {
				//定义提示条文字样式 
				autoSize = true;
				background = true;
				selectable = false;
				border = true;
				text = path._tipText;
				textColor = path._textColor;
				//注意属性的路径，下同 
				borderColor = path._borderColor;
				backgroundColor = path._bgColor;
			}
		}
		tipMovie.onRollOut = tipMovie.onReleaseOutside=tipMovie.onPress=function () {
			this._parent.toolTip_mc.removeMovieClip();
		}
	}
}
